Skip to main content
PUT
/
mcp-integrations
/
{mcpIntegrationId}
Update MCP Integration
curl --request PUT \
  --url https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId} \
  --header 'Content-Type: application/json' \
  --header 'x-portkey-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "configurations": {
    "custom_headers": {
      "Authorization": "Bearer some-token",
      "x-foo": "bar"
    },
    "passthrough_header": {
      "x-user-id": {
        "type": "string",
        "example": "abc123"
      },
      "x-request-id": {
        "type": "string",
        "example": "req-0001"
      }
    }
  },
  "url": "<string>"
}
'
import requests

url = "https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId}"

payload = {
"name": "<string>",
"description": "<string>",
"configurations": {
"custom_headers": {
"Authorization": "Bearer some-token",
"x-foo": "bar"
},
"passthrough_header": {
"x-user-id": {
"type": "string",
"example": "abc123"
},
"x-request-id": {
"type": "string",
"example": "req-0001"
}
}
},
"url": "<string>"
}
headers = {
"x-portkey-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-portkey-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
configurations: {
custom_headers: {Authorization: 'Bearer some-token', 'x-foo': 'bar'},
passthrough_header: {
'x-user-id': {type: 'string', example: 'abc123'},
'x-request-id': {type: 'string', example: 'req-0001'}
}
},
url: '<string>'
})
};

fetch('https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

mcpIntegrationId
string
required

MCP Integration ID (UUID) or slug

Body

application/json
name
string
description
string | null
configurations
object

Auth/config key-value pairs (e.g. headers, client credentials)

url
string<uri>
auth_type
enum<string>
Available options:
oauth_auto,
headers,
none
transport
enum<string>
Available options:
http,
sse

Response

200 - application/json

OK

The response is of type object.

Last modified on May 13, 2026